org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class GetPoliciesResponse

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.GetPoliciesResponse

-     public class GetPoliciesResponse
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="response" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}Response"/>
               <element name="cAs" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CACollection"/>
               <element name="oIDs" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}OIDCollection"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CACollection` | `cAs`
    `protected OIDCollection` | `oiDs`
    `protected Response` | `response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPoliciesResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CACollection` | `getCAs()` Gets the value of the cAs property.
    `OIDCollection` | `getOIDs()` Gets the value of the oiDs property.
    `Response` | `getResponse()` Gets the value of the response property.
    `void` | `setCAs(CACollection value)` Sets the value of the cAs property.
    `void` | `setOIDs(OIDCollection value)` Sets the value of the oiDs property.
    `void` | `setResponse(Response value)` Sets the value of the response property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### response

          protected Response response

    - #### cAs

          protected CACollection cAs

    - #### oiDs

          protected OIDCollection oiDs

  - ### Constructor Detail

    - #### GetPoliciesResponse

          public GetPoliciesResponse()

  - ### Method Detail

    - #### getResponse

          public Response getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `Response`

    - #### setResponse

          public void setResponse(Response value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `Response`

    - #### getCAs

          public CACollection getCAs()

      Gets the value of the cAs property.
      Returns:
        possible object is `CACollection`

    - #### setCAs

          public void setCAs(CACollection value)

      Sets the value of the cAs property.
      Parameters:
        `value` - allowed object is `CACollection`

    - #### getOIDs

          public OIDCollection getOIDs()

      Gets the value of the oiDs property.
      Returns:
        possible object is `OIDCollection`

    - #### setOIDs

          public void setOIDs(OIDCollection value)

      Sets the value of the oiDs property.
      Parameters:
        `value` - allowed object is `OIDCollection`

Copyright © 2017 WSO2. All rights reserved.